/*
 * config.c: Web video plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <stdlib.h>
#include <string.h>
#include "config.h"

cWebvideoConfig *webvideoConfig = new cWebvideoConfig();

cWebvideoConfig::cWebvideoConfig() {
  downloadPath = NULL;
  templatePath = NULL;
  preferXine = true;
}

cWebvideoConfig::~cWebvideoConfig() {
  if (downloadPath)
    free(downloadPath);
  if (templatePath)
    free(templatePath);
}

void cWebvideoConfig::SetDownloadPath(const char *path) {
  if (downloadPath)
    free(downloadPath);
  downloadPath = path ? strdup(path) : NULL;
}

const char *cWebvideoConfig::GetDownloadPath() {
  return downloadPath;
}

void cWebvideoConfig::SetTemplatePath(const char *path) {
  if (templatePath)
    free(templatePath);
  templatePath = path ? strdup(path) : NULL;
}

const char *cWebvideoConfig::GetTemplatePath() {
  return templatePath;
}

void cWebvideoConfig::SetPreferXineliboutput(bool pref) {
  preferXine = pref;
}

bool cWebvideoConfig::GetPreferXineliboutput() {
  return preferXine;
}
